/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

import {openSimpleInputModal} from 'frontend-js-web';

export default function SelectLayoutPageTemplateEntryMasterLayoutVerticalCardPropsTransformer({
	additionalProps: {
		addLayoutPageTemplateEntryUrl,
		dialogTitle,
		mainFieldLabel,
		mainFieldName,
		mainFieldPlaceholder,
	},
	portletNamespace: namespace,
	...otherProps
}) {
	return {
		...otherProps,
		onClick: (event) => {
			event.preventDefault();

			openSimpleInputModal({
				dialogTitle,
				formSubmitURL: addLayoutPageTemplateEntryUrl,
				mainFieldLabel,
				mainFieldName,
				mainFieldPlaceholder,
				namespace,
				spritemap:
					'<%= themeDisplay.getPathThemeImages() %>/clay/icons.svg',
			});
		},
		onKeyDown: (event) => {
			if (
				event.nativeEvent.code === 'Enter' ||
				event.nativeEvent.code === 'Space'
			) {
				event.preventDefault();
				event.target.click();
			}
		},
		role: 'button',
		tabIndex: '0',
	};
}
